> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign VLAN



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples post /virtual_networks/assignments
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /virtual_networks/assignments:
    post:
      tags:
        - Private Networks
      summary: Assign VLAN
      operationId: assign-server-virtual-network
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - virtual_network_assignment
                    attributes:
                      type: object
                      properties:
                        server_id:
                          type: string
                        virtual_network_id:
                          type: string
                      required:
                        - server_id
                        - virtual_network_id
                  required:
                    - type
            examples:
              Created:
                summary: Created
                value:
                  data:
                    type: virtual_network_assignment
                    attributes:
                      server_id: sv_5xyZOn5vDWM0l
                      virtual_network_id: vlan_Z8rodmpGO1jLB
          application/vnd.api+json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - virtual_network_assignment
                    attributes:
                      type: object
                      properties:
                        server_id:
                          type: string
                        virtual_network_id:
                          type: string
                      required:
                        - server_id
                        - virtual_network_id
                  required:
                    - type
            examples:
              Created:
                summary: Created
                value:
                  data:
                    type: virtual_network_assignment
                    attributes:
                      server_id: sv_5xyZOn5vDWM0l
                      virtual_network_id: vlan_Z8rodmpGO1jLB
        required: true
      responses:
        '201':
          description: Created
          content:
            application/vnd.api+json:
              examples:
                Created:
                  value:
                    data:
                      id: vnasg_LGXPdWQ8DnNWk
                      type: virtual_network_assignment
                      attributes:
                        virtual_network_id: vlan_Z8rodmpGO1jLB
                        vid: 3
                        server_id: sv_5xyZOn5vDWM0l
                        description: my vlan
                        status: connecting
                    meta: {}
              schema:
                $ref: '#/components/schemas/virtual_network_assignment'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            import latitudesh_python_sdk
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.private_networks.assign(data={
                    "type": latitudesh_python_sdk.AssignServerVirtualNetworkPrivateNetworksType.VIRTUAL_NETWORK_ASSIGNMENT,
                    "attributes": {
                        "server_id": "sv_5xyZOn5vDWM0l",
                        "virtual_network_id": "vlan_Z8rodmpGO1jLB",
                    },
                })

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.PrivateNetworks.Assign(ctx, operations.AssignServerVirtualNetworkPrivateNetworksRequestBody{\n        Data: &operations.AssignServerVirtualNetworkPrivateNetworksData{\n            Type: operations.AssignServerVirtualNetworkPrivateNetworksTypeVirtualNetworkAssignment,\n            Attributes: &operations.AssignServerVirtualNetworkPrivateNetworksAttributes{\n                ServerID: \"sv_5xyZOn5vDWM0l\",\n                VirtualNetworkID: \"vlan_Z8rodmpGO1jLB\",\n            },\n        },\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.VirtualNetworkAssignment != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.privateNetworks.assign({
                data: {
                  type: "virtual_network_assignment",
                  attributes: {
                    serverId: "sv_5xyZOn5vDWM0l",
                    virtualNetworkId: "vlan_Z8rodmpGO1jLB",
                  },
                },
              });

              console.log(result);
            }

            run();
components:
  schemas:
    virtual_network_assignment:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/virtual_network_assignment_data'
        meta:
          type: object
    virtual_network_assignment_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - virtual_network_assignment
        attributes:
          type: object
          properties:
            virtual_network_id:
              type: string
            vid:
              type: integer
            description:
              type: string
            status:
              type: string
            server:
              type: object
              properties:
                id:
                  type: string
                hostname:
                  type: string
                label:
                  type: string
                locked:
                  type: boolean
                status:
                  type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````